> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get billing execution by ID with errors

> Operacion: Get billing execution by ID with errors.



## OpenAPI

````yaml /generated/specs/finance.json get /api/billing/ejecucion/{id}
openapi: 3.0.0
info:
  title: Raul API - Finanzas
  description: >-
    Facturas, boletas, ejecuciones de billing, cuentas por pagar y medios de
    pago.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/billing/ejecucion/{id}:
    get:
      tags:
        - Billing - Ejecucion Facturacion
      summary: Get billing execution by ID with errors
      description: 'Operacion: Get billing execution by ID with errors.'
      operationId: ExecutionController_getEjecucionById
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EjecucionWithErrorsResponseDto'
        '404':
          description: Execution not found
      security:
        - bearerAuth: []
components:
  schemas:
    EjecucionWithErrorsResponseDto:
      type: object
      properties:
        id:
          type: string
        periodo:
          type: string
        fecha_inicio:
          format: date-time
          type: string
        fecha_fin:
          format: date-time
          type: string
        usuario_id:
          type: string
        estado:
          type: string
        total_intentadas:
          type: number
        total_exitosas:
          type: number
        total_fallidas:
          type: number
        porcentaje:
          type: number
        resumen_json:
          type: object
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
        errores:
          type: array
          items:
            $ref: '#/components/schemas/ErrorFacturacionResponseDto'
      required:
        - id
        - periodo
        - fecha_inicio
        - estado
        - total_intentadas
        - total_exitosas
        - total_fallidas
        - porcentaje
    ErrorFacturacionResponseDto:
      type: object
      properties:
        id:
          type: string
        ejecucion_id:
          type: string
        client_id:
          type: string
        factura_id:
          type: number
        tipo_error:
          type: string
        mensaje:
          type: string
        contexto_json:
          type: object
        stack_trace:
          type: string
        fecha_error:
          format: date-time
          type: string
        estado:
          type: string
        fecha_resolucion:
          format: date-time
          type: string
      required:
        - id
        - ejecucion_id
        - tipo_error
        - mensaje
        - fecha_error
        - estado
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````